-- CONFIDENTIAL AND PROPRIETARY INFORMATION

-- Copyright (c) 2013,2016 Emutex Ltd. All rights reserved.
-- This software and documentation contain confidential and
-- proprietary information that is the property of
-- Emutex Ltd. The software and documentation are
-- furnished under a license agreement and may be used
-- or copied only in accordance with the terms of the license
-- agreement. No part of the software and documentation
-- may be reproduced, transmitted, or translated, in any
-- form or by any means, electronic, mechanical, manual,
-- optical, or otherwise, without prior written permission
-- of Emutex Ltd., or as expressly provided by the license agreement.
-- Reverse engineering is prohibited, and reproduction,
-- disclosure or use without specific written authorization
-- of Emutex Ltd. is strictly forbidden.

local SysFile = {}
SysFile.__index = SysFile

function SysFile.create(filePath)
    local tempObj = {}
    setmetatable(tempObj, SysFile)
    tempObj.path = filePath

    return tempObj
end

function SysFile:read()
    local f = io.open(self.path, "r")
    if f == nil then
        WARNF ("Can't open sys file to read : '%s'", self.path)
        return nil
    end

    local value = tonumber(f:read("*a"))
    f:close()
    return value / 1000
end

return SysFile
