-- CONFIDENTIAL AND PROPRIETARY INFORMATION

-- Copyright (c) 2013,2016 Emutex Ltd. All rights reserved.
-- This software and documentation contain confidential and
-- proprietary information that is the property of
-- Emutex Ltd. The software and documentation are
-- furnished under a license agreement and may be used
-- or copied only in accordance with the terms of the license
-- agreement. No part of the software and documentation
-- may be reproduced, transmitted, or translated, in any
-- form or by any means, electronic, mechanical, manual,
-- optical, or otherwise, without prior written permission
-- of Emutex Ltd., or as expressly provided by the license agreement.
-- Reverse engineering is prohibited, and reproduction,
-- disclosure or use without specific written authorization
-- of Emutex Ltd. is strictly forbidden.

local lightPin = 1
local buttonPin = 2
local buttonTag = "gpio.button"
local lightTag = "gpio.light"

local function buttonCallback(event, param)
    -- param contains current value
    NOTIFY("Button was triggered, got %s", param)
    tagSetNum(lightTag, param)
end

-- register gpio in-/outputs
gpioDefineOutput(lightTag, lightPin)
gpioDefineInput(buttonTag, buttonPin)
-- listen for the button's input to change and register a callback
eventHandler(buttonTag, buttonCallback)

while true do
    local event, param = eventWait ()
    eventDispatch (event, param)
end
