-- CONFIDENTIAL AND PROPRIETARY INFORMATION

-- Copyright (c) 2013,2016 Emutex Ltd. All rights reserved.
-- This software and documentation contain confidential and
-- proprietary information that is the property of
-- Emutex Ltd. The software and documentation are
-- furnished under a license agreement and may be used
-- or copied only in accordance with the terms of the license
-- agreement. No part of the software and documentation
-- may be reproduced, transmitted, or translated, in any
-- form or by any means, electronic, mechanical, manual,
-- optical, or otherwise, without prior written permission
-- of Emutex Ltd., or as expressly provided by the license agreement.
-- Reverse engineering is prohibited, and reproduction,
-- disclosure or use without specific written authorization
-- of Emutex Ltd. is strictly forbidden.

--! \file
--! \brief Example use of modem and GPS, it should be run together with /utils/gps


function check_sms (event)

  timerStart ("modem.timer", 100000);
  gsmModemPoll();
end

function main()
  timerStart ("modem.timer", 100000);
  eventHandler("modem.timer", check_sms)

  msleep(3000)


  timeS = tagGetNum("gps_time");
  latitude = tagGetNum("latitude");
  longitude = tagGetNum("longitude");

  if latitude == "" then
     latitude = 0;
  end
  if longitude == "" then
     longitude = 0
  end

  latitude = tonumber(latitude);
  longitude = tonumber(longitude);
  timeS = tonumber(timeS);

  --number telephone to send the SMS
  mobile_number=0876543
  sms_text = "Tests event - "
  sms_text = sms_text .. "(" .. latitude_event .. ", " ..
  longitude_event .. ") "
  sms_text = sms_text .. os.date("%x %X", time_event)

  gsmModemSendSMS(mobile_number, sms_text)
end

main()
