-- CONFIDENTIAL AND PROPRIETARY INFORMATION

-- Copyright (c) 2013,2016 Emutex Ltd. All rights reserved.
-- This software and documentation contain confidential and
-- proprietary information that is the property of
-- Emutex Ltd. The software and documentation are
-- furnished under a license agreement and may be used
-- or copied only in accordance with the terms of the license
-- agreement. No part of the software and documentation
-- may be reproduced, transmitted, or translated, in any
-- form or by any means, electronic, mechanical, manual,
-- optical, or otherwise, without prior written permission
-- of Emutex Ltd., or as expressly provided by the license agreement.
-- Reverse engineering is prohibited, and reproduction,
-- disclosure or use without specific written authorization
-- of Emutex Ltd. is strictly forbidden.

--! \file
--! \brief Module to connect to server  where data are put 


--! \brief  step function for local data processing - none required for my car
function step (event)
    timerStart ("digi.timer", 1000);

    local rpm = tagGetNum ("mycar_rpm");

    print ("rpm is " .. rpm)
end

--! \brief Start time to event and connect to the server.
function main (void)
    timerStart ("digi.timer", 1000);

    eventHandler ("digi.timer", step);

    digiConnect ("login.etherios.co.uk", 0x04000081, "My car Monitor Data", "Emutex VXF Lab Energy Monitor", "00:11:22:33:44:55");

    digiDefineFloat ("mycar_rpm", "mycar_rpm/mycar_rpm", "revolutions", 3, 3);
    digiDefineFloat ("mycar_kph", "mycar_kph/mycar_kph", "kms", 3, 3);

    while 1 do
        local event = eventWait ();
        -- local param = eventGetParam ();
        eventDispatch (event);
    end
end

main ()
