-- CONFIDENTIAL AND PROPRIETARY INFORMATION

-- Copyright (c) 2013,2016 Emutex Ltd. All rights reserved.
-- This software and documentation contain confidential and
-- proprietary information that is the property of
-- Emutex Ltd. The software and documentation are
-- furnished under a license agreement and may be used
-- or copied only in accordance with the terms of the license
-- agreement. No part of the software and documentation
-- may be reproduced, transmitted, or translated, in any
-- form or by any means, electronic, mechanical, manual,
-- optical, or otherwise, without prior written permission
-- of Emutex Ltd., or as expressly provided by the license agreement.
-- Reverse engineering is prohibited, and reproduction,
-- disclosure or use without specific written authorization
-- of Emutex Ltd. is strictly forbidden.

local time = require 'utils/time'
local lite = require 'lite/restrictions'

local TEN_MINS = tostring(10 * 60 * 1000)
local period = tonumber(getSystemConfigValue('transactionsWatcherPeriod',
    TEN_MINS))

local lastTime = time.dayOfTheYear()

while true do
    local now = time.dayOfTheYear()

    if time.dayHasChanged(lastTime, now) then
        lite.resetAllDeviceTransactions()
    end

    lastTime = now

    msleep(period)
end
